Bug 1409052 - Values for space used and capacity columns for gluster volumes are displayed incorrectly
Summary: Values for space used and capacity columns for gluster volumes are displayed ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Ramesh N
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2016-12-29 06:18 UTC by RamaKasturi
Modified: 2017-02-01 14:42 UTC (History)
2 users (show)

Fixed In Version: vdsm-gluster-4.19.1-24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:42:20 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
Attaching the screenshot for space used and capacity (139.77 KB, image/png)
2016-12-29 06:20 UTC, RamaKasturi
no flags Details
Attaching screenshot for spaceused and capacity columns (141.92 KB, image/png)
2017-01-27 07:33 UTC, RamaKasturi
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 69417 master MERGED gluster: fix import issue in gfapi module. 2017-01-02 13:46:26 UTC
oVirt gerrit 69433 ovirt-4.1 MERGED gluster: fix import issue in gfapi module. 2017-01-03 12:52:23 UTC
Red Hat Bugzilla 1409057 None None None Never

Internal Links: 1409057

Description RamaKasturi 2016-12-29 06:18:02 UTC
Description of problem:
with the current 4.1 i see that Space Used for gluster volumes is shown as '?' and capacity is shown as "N/A total, N/A used, N/A free.

Version-Release number of selected component (if applicable):
ovirt-engine-4.1.0-0.3.beta2.el7.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Deploy HC on arbiter volumes.
2. click on the volumes tab.
3.

Actual results:
I see that space Used and capacity values are not displayed properly. Attaching screenshot for the same.

Expected results:
Correct values for space used and capacity should be displayed.

Additional info:

Comment 1 RamaKasturi 2016-12-29 06:20:24 UTC
Created attachment 1235830 [details]
Attaching the screenshot for space used and capacity

Comment 2 Ramesh N 2017-01-04 08:52:53 UTC
Doc text not needed as this is not reported in a released version and user will never face this issue in a released version.

Comment 3 RamaKasturi 2017-01-27 07:32:37 UTC
Verified and works fine with build ovirt-engine-4.1.0.2-0.1.el7.noarch.

I see that Space Used and Capacity displays correct values in the UI. Attaching screenshot for the same.

Comment 4 RamaKasturi 2017-01-27 07:33:19 UTC
Created attachment 1245050 [details]
Attaching screenshot for spaceused and capacity columns

Comment 5 RamaKasturi 2017-01-27 07:34:18 UTC
Verified vdsm version: vdsm-gluster-4.19.2-2.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.